﻿window.onorientationchange = function() {
  setheightTimer();
};
window.onresize = function() {
  setheightTimer();
};
const timercount = 300;
let timer = null;
function setheightTimer() {
    timer = setTimeout(function(){setheight()}, timercount);
}
let prevheight = 0;
function setheight() {
	let bodyheight = document.body.clientHeight;
	let boxelem = document.getElementById("id_box_group_3");
	let boxtop = boxelem.offsetTop;
	let scrollheight = bodyheight - boxtop - 10;

	document.body.style.setProperty('--div_scroll_height', scrollheight + "px");
	if (timer != null && (prevheight === 0 || prevheight === scrollheight))
	    clearTimeout(timer);
    prevheight = scrollheight;
}
let yomivalue = "";
let prevyomivalue = "";
let yomielem = null;
function yomiinput(id) {
	yomielem = document.getElementById(id);
	if (yomielem != null) {
	    yomivalue = yomielem.value;
	    if (yomivalue == "") {
		    yomielem = null;
		}
	}
	selectcheck();
}
function yomireset() {
    if (yomielem != null) {
        yomivalue = "";
        yomielem.value = "";
        yomielem = null;
    }
    selectcheck();
}
let prevkakuvalue = 0;
let kakuvalue = 0;
let kakuelem = null;
function kakuclick(id) {
	kakuelem = document.getElementById(id);
	if (kakuelem != null) {
		if (kakuvalue == kakuelem.value) {
            kakuvalue = 0;
			kakuelem.checked = false;
            kakuelem = null;
		} else {
			kakuvalue = kakuelem.value;
		}
	}
	selectcheck();
}
function kakureset() {
    if (kakuelem != null) {
        kakuvalue = 0;
        kakuelem.checked = false;
        kakuelem = null;
    }
    selectcheck();
}
let prevbushuvalue = 0;
let bushuvalue = 0;
let bushuelem = null;
function bushuclick(id) {
	bushuelem = document.getElementById(id);
	if (bushuelem != null) {
		if (bushuvalue == bushuelem.value) {
            bushuvalue = 0;
			bushuelem.checked = false;
			bushuelem = null;
		} else {
			bushuvalue = bushuelem.value;
		}
	}
	selectcheck();
}
function bushureset() {
    if (bushuelem != null) {
        bushuvalue = 0;
        bushuelem.checked = false;
        bushuelem = null;
    }
    selectcheck();
}
// 「選択中の指定」表示を更新する
function selectcheck() {
	let yomi = document.getElementById("select_id_yomi");
	let kaku = document.getElementById("select_id_kaku");
	let bushu = document.getElementById("select_id_bushu");

	if (yomivalue == "")
		yomi.className = "select_unchecked";
	else
		yomi.className = "select_checked";

	if (kakuvalue == 0)
		kaku.className = "select_unchecked";
	else
		kaku.className = "select_checked";

	if (bushuvalue == 0)
		bushu.className = "select_unchecked";
	else
		bushu.className = "select_checked";
}
function elevbushu(id) {
	let bushu = document.getElementById(id);
	if (bushu != null) {
		bushu.scrollIntoView(true);
	}
	return false;
}
// キーボードのキー押下イベントをフック
function go() {
	// EnterキーならSubmit
	if(window.event.keyCode == 13)
		search();
}
function search() {
    // 使用感の変更のため、「前回と同じ条件なら検索リクエストを出さない」処理を停止します
//	let changed = false;
//	if (prevyomivalue != yomivalue) {
		prevyomivalue = yomivalue
//		changed = true;
//	}
//	if (prevkakuvalue != kakuvalue) {
		prevkakuvalue = kakuvalue
//		changed = true;
//	}
//	if (prevbushuvalue != bushuvalue) {
		prevbushuvalue = bushuvalue
//		changed = true;
//	}
//	if (changed) {
		let url = "lved.select:OUKANJI4/" + yomivalue + "/" + kakuvalue + "/" + bushuvalue;
		window.open(url,"_self","");
		/*document.location = url;*/
		return false;
//	}
}
// WebView側がアクセスするメソッド ユーザーの入力状態を復元します
function setparams(param) {
    // param == "[読み指定（未指定は空白）]/[画数指定（未指定は0）]/[部首指定（未指定は0）]"
    let params = param.split('/');
    // 読み指定の復元
    prevyomivalue = yomivalue = params[0];
    if (yomivalue != "") {
        let yomi = document.getElementById("yomi_id_1");
        yomi.value = yomivalue;
    }
    // 画数指定の復元
    prevkakuvalue = kakuvalue = params[1];
    if (kakuvalue > 0) {
        let kaku = document.getElementById("kaku_id_" + kakuvalue);
        kaku.checked = true;
    }
    // 部首指定の復元
    prevbushuvalue = bushuvalue = params[2];
    if (bushuvalue > 0) {
        let bushu = document.getElementById("bushu_id_" + bushuvalue);
        bushu.checked = true;
    }
    // 「選択中の指定」表示を復元
    selectcheck();
}